[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# defpixelproc

Standard pixel drawing routine prototype.

## Declaration

Source position: graphh.inc line 524

`type defpixelproc = procedure(`
`X: SmallInt;`
`Y: SmallInt`
`);`

## Description

This is the standard putpixel routine used by all function drawing routines, it will use the viewport settings, as well as clip, and use the current foreground color to plot the desired pixel.